/**
 * Titel:     Quelltext zu Kapitel 11 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */

class Konto {
	private int kontoNr;      
	private double kontoStand;
	public Konto( int nr, double betrag ) {
		kontoNr = nr;    
		kontoStand = betrag;
	}
	public void abheben( double betrag ) {
		kontoStand = kontoStand - betrag ;
	}
	public void einzahlen( double betrag ) {
		kontoStand = kontoStand + betrag ;
	}
	public void transfer( Konto zielKonto, double betrag ) {
		this.abheben( betrag );
		zielKonto.einzahlen( betrag ); 
	}
}

public class Bank {
	public static void main( String[] args ) {
		Konto k1 = new Konto( 4711, 120.0 ) ;
		Konto k2 = new Konto( 8015, 700.0 ) ;
		k1.transfer( k2 , 20.0 ) ;
	}
} 





















